Contents

API reference

Imports

API reference descriptions are provided in English to preserve the exact published contract.

List bulk imports

GET /v1/accounts/{AC}/imports

Required scope: `operations:read`.

Parameters

Parameters
NameTypeRequiredDescription
limitquery · integer (1–100)
cursorquery · string (max 2048 chars)
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Upload a bulk import

POST /v1/accounts/{AC}/imports

Required scope: `contacts:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (4 fields)
Request body
NameTypeRequiredDescription
defaultCountrystring (pattern ^[A-Z]{2}$)
filefile (binary)yes
format"CSV" | "JSON" | "XLSX"
kind"CONTACTS" | "CONSENTS" | "SUPPRESSIONS" | "AUDIENCE"yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Fetch an import

GET /v1/accounts/{AC}/imports/{IM}

Required scope: `operations:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yes
IMpath · string (IM… SID)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

List rejected import rows with structured reasons

GET /v1/accounts/{AC}/imports/{IM}/rejections

Required scope: `operations:read`.

Parameters

Parameters
NameTypeRequiredDescription
reasonquery · string (max 200 chars)
limitquery · integer (1–100)
cursorquery · string (max 2048 chars)
ACpath · string (AC… SID)yes
IMpath · string (IM… SID)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.